Skip to content
Start here

Cancel a crawl job.

client.BrowserRendering.Crawl.Delete(ctx, jobID, body) (*CrawlDeleteResponse, error)
DELETE/accounts/{account_id}/browser-rendering/crawl/{job_id}

Cancels an ongoing crawl job by setting its status to cancelled and stopping all queued URLs.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
jobID string

The ID of the crawl job to cancel.

body CrawlDeleteParams
AccountID param.Field[string]

Account ID.

ReturnsExpand Collapse
type CrawlDeleteResponse struct{…}
JobID string

The ID of the cancelled job.

Message string

Cancellation confirmation message.

Cancel a crawl job.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  crawl, err := client.BrowserRendering.Crawl.Delete(
    context.TODO(),
    "job_id",
    browser_rendering.CrawlDeleteParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", crawl.JobID)
}
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}